Subject: Re: bug#66020: (bug#64735 spin-off): regarding the default for read-process-output-max

From: Dmitry Gutov <[email-masked]>
Date: Sun, 9 Jun 2024 03:12:16 +0300

On 08/06/2024 15:11, Eli Zaretskii wrote:
>> From: Stefan Kangas<[email-masked]>
>> Date: Sun, 26 May 2024 16:27:19 -0700
>> Cc:[email-masked],[email-masked]
>>
>> Eli Zaretskii<[email-masked]>  writes:
>>
>>> I'll try to recollect the discussion and review the patches one of
>>> these days.
>>>
>>> Paul, your input (as well as that of everybody else on the CC list)
>>> will be most welcome.
>> FWIW, I'd be in favor of raising `read-process-output-max' to something
>> like 40960 (as Eli suggested in this thread), or perhaps some power of 2
>> close to that like 32768 or 65536.
>>
>> This is based on it being seemingly faster in the benchmarks in this
>> thread, and me having used that locally for 2-3 years and noting no
>> adverse effects.
>>
>> See also the discussion here:
>> https://lists.gnu.org/r/emacs-devel/2021-03/msg01461.html
>>
>> (I didn't review patch 1 and 2, so no opinion on those.)
> I guess we can install all 3 patches and see if anything breaks.

Thank you, now pushed to master.

For read-process-output-max, I chose the higher of the powers of two, 
but please feel free to amend.